Subject: Trainer Candidate - Siddharth Khanna
From: Siddharth Khanna <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 26 May 2021 01:50:19 -0400

Tech Support
Test

Name

Siddharth
Khanna

E-mail

[email-masked]

Phone Number

(91) 9810520704

Do you have your own transportation
(2 or 4 wheeler) or are you able to commute to office without using Metro? Our
office is located in Noida Sector 2, near Noida - Sector 15 Metro
Station

I have my own 2/4 wheeler transport

Where
do you currently live (area)

Krishna nagar
delhi

Please give us details of your last 3 employments
including current. If you've not worked in 3 companies, please enter NA

Name of Company

Designation

Last
working day

Monthly Salary (inhand)

Current
Employer

Previous Employer 1

Radical minds

Assistant
Manager

20-08-2020

47000

Previous Employer 2

Cogent pvt ltd

Assistant
manager

30-05-2019

40500

If Selected, how much
time do you need to join?

Immediate basis

Please briefly describe your work experience specifically in
training?

With respect to the training, I have hewded
L&D team of makemytrip, yatra till yet with an avg Training batch of 25
agents and with an avg throughput of 85%.

I have impletemented 2 projects:

1. Csat

2. NPS

Have shown the efficacy of 15% in PS(C.E) and 2% in conversion.

Have managed OJT campaigns in different portfolios and introduced the concept of
Fillers, split-shift to avoid SLA dent

Have you worked as a
trainer in a Call Center/Customer Service/BPO Environment?

Yes

Please tell us below in 300 - 500
words about the most difficult situation you faced either while training or
managing a team.

The most difficult situation is to manage the
Attrition part, specially when the batch starts in the mid of month.

And to provide refresher trainings when there is a jump in volume at the time of
production

What according to you is the difference between good
and great customer service. (Explain in 4 - 6 sentences)

Good
customer service is when the case is closed on positive note with a customer
(with respect to the organisation protocols)

Great customer service is when an extra effort in placed in an case and the same
is closed within a TAT and that to be with an FCR

What according to
you makes you a good candidate for this position?

I have
worked in different portfolios and have survived in many challenged with respect
to people, client and business stakeholders management.

I have worked in a hard situations as well where the process was at transition
stage and many adhoc factors or responsibilities are involved and that need to
be taken care of

On a scale of 1 - 5 please rate your
fluency in spoken English

5